summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2015-07-24 00:18:37 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-24 00:18:37 +0700
commit682cb47b41abae0a4cd8b3f3f244334b9b4edeb1 (patch)
tree22804aaecb35adea5b3d8a6b4b148b3ff8f0882b
parent08be912df879cc81d7f46cde6a1c33408115c534 (diff)
downloadslackbuilds-682cb47b41abae0a4cd8b3f3f244334b9b4edeb1.tar.gz
slackbuilds-682cb47b41abae0a4cd8b3f3f244334b9b4edeb1.tar.xz
system/fsv: Added (3D file system viewer, Jurassic Park style).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/fsv/README8
-rw-r--r--system/fsv/doinst.sh3
-rw-r--r--system/fsv/fsv.178
-rw-r--r--system/fsv/fsv.SlackBuild110
-rw-r--r--system/fsv/fsv.desktop7
-rw-r--r--system/fsv/fsv.info10
-rw-r--r--system/fsv/fsv.rst60
-rw-r--r--system/fsv/slack-desc19
8 files changed, 295 insertions, 0 deletions
diff --git a/system/fsv/README b/system/fsv/README
new file mode 100644
index 0000000000..7aefe83920
--- /dev/null
+++ b/system/fsv/README
@@ -0,0 +1,8 @@
+fsv (3D file system viewer, Jurassic Park style)
+
+fsv (pronounced eff-ess-vee) is a file system visualizer in cyberspace. It
+lays out files and directories in three dimensions, geometrically
+representing the file system hierarchy to allow visual overview and
+analysis. fsv can visualize a modest home directory, a workstation's
+hard drive, or any arbitrarily large collection of files, limited only
+by the host computer's memory and graphics hardware.
diff --git a/system/fsv/doinst.sh b/system/fsv/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/fsv/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/fsv/fsv.1 b/system/fsv/fsv.1
new file mode 100644
index 0000000000..f2b23eb776
--- /dev/null
+++ b/system/fsv/fsv.1
@@ -0,0 +1,78 @@
+.\" Man page generated from reStructuredText.
+.
+.TH FSV 1 "2015-07-22" "0.9_1" "SlackBuilds.org"
+.SH NAME
+fsv \- 3D filesystem visualizer
+.
+.nr rst2man-indent-level 0
+.
+.de1 rstReportMargin
+\\$1 \\n[an-margin]
+level \\n[rst2man-indent-level]
+level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
+-
+\\n[rst2man-indent0]
+\\n[rst2man-indent1]
+\\n[rst2man-indent2]
+..
+.de1 INDENT
+.\" .rstReportMargin pre:
+. RS \\$1
+. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
+. nr rst2man-indent-level +1
+.\" .rstReportMargin post:
+..
+.de UNINDENT
+. RE
+.\" indent \\n[an-margin]
+.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.nr rst2man-indent-level -1
+.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
+..
+.\" RST source for fsv(1) man page. Convert with:
+.
+.\" rst2man.py fsv.rst > fsv.1
+.
+.\" rst2man.py comes from the SBo development/docutils package.
+.
+.SH SYNOPSIS
+.sp
+fsv [\fIrootdir\fP] [\fI\-options\fP]
+.SH DESCRIPTION
+.sp
+fsv (pronounced eff\-ess\-vee) is a file system visualizer in cyberspace. It
+lays out files and directories in three dimensions, geometrically
+representing the file system hierarchy to allow visual overview and
+analysis. fsv can visualize a modest home directory, a workstation\(aqs
+hard drive, or any arbitrarily large collection of files, limited only
+by the host computer\(aqs memory and graphics hardware.
+.sp
+fsv is a clone of SGI\(aqs fsn, which was featured in the movie Jurassic Park.
+.sp
+Full documentation is available via the Help \-> Contents menu option, or
+at \fI\%file:///usr/doc/fsv\fP\-0.9_1/html/fsv.html
+.SH OPTIONS
+.sp
+\fBrootdir\fP Root directory for visualization (defaults to current directory)
+.INDENT 0.0
+.TP
+.B \-\-mapv
+Start in MapV mode (default)
+.TP
+.B \-\-treev
+Start in TreeV mode
+.TP
+.B \-\-help
+Print built\-in help and exit
+.UNINDENT
+.SH AUTHORS
+.sp
+fsv originally written by Daniel Richard G. <\fI\%skunk@mit.edu\fP>.
+.sp
+fsv is now maintained by Maurus Cuelenaere: \fI\%https://github.com/mcuelenaere\fP
+.sp
+This man page written by B. Watson for the SlackBuilds.org project and
+released under the WTFPL.
+.\" Generated by docutils manpage writer.
+.
diff --git a/system/fsv/fsv.SlackBuild b/system/fsv/fsv.SlackBuild
new file mode 100644
index 0000000000..5f4160d205
--- /dev/null
+++ b/system/fsv/fsv.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for fsv
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=fsv
+VERSION=${VERSION:-0.9_1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCVER=${VERSION/_/-}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz || tar xvf $CWD/$PRGNAM-$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# dirty hack: avoid segfaults on exit. This works on Linux because the
+# kernel cleans up any allocated memory at process exit, but it will
+# anger your CS professors. Also, the exit status will be garbage,
+# not the usual 0 for success (doubt anyone will ever care).
+sed -i 's,gtk_main_quit,exit,' src/window.c
+
+# the Help menu item tries to launch netscape, which was the browser
+# of choice in the 90s when fsv was new. These days, it makes more
+# sense to do this:
+sed -i \
+ -e 's/netscape -nor.* > /xdg-open %s > /' \
+ -e 's/netscape -no-.* > /firefox %s > /' \
+ src/dialog.c
+
+autoreconf -if
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-doc-dir=/usr/doc/$PRGNAM-$VERSION/html \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# use the 'eagle eye' icon as the app icon
+mkdir -p $PKG/usr/share/pixmaps
+ln -s ../../doc/$PRGNAM-$VERSION/html/beyeview.png \
+ $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop file written for this SlackBuild
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# man page written for this SlackBuild
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a AUTHORS COPYING ChangeLog NOTES TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/fsv/fsv.desktop b/system/fsv/fsv.desktop
new file mode 100644
index 0000000000..5047c220d8
--- /dev/null
+++ b/system/fsv/fsv.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=FSV
+Exec=fsv
+Type=Application
+Icon=fsv
+GenericName=3D File System Visualizer
+Categories=System;FileTools;FileManager;
diff --git a/system/fsv/fsv.info b/system/fsv/fsv.info
new file mode 100644
index 0000000000..dd79b38599
--- /dev/null
+++ b/system/fsv/fsv.info
@@ -0,0 +1,10 @@
+PRGNAM="fsv"
+VERSION="0.9_1"
+HOMEPAGE="https://github.com/mcuelenaere/fsv"
+DOWNLOAD="https://github.com/mcuelenaere/fsv/archive/fsv-0.9-1.tar.gz"
+MD5SUM="61e8d3ce2803d8873a717d20d22fbc6d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gtkglarea"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/fsv/fsv.rst b/system/fsv/fsv.rst
new file mode 100644
index 0000000000..89da51a0b7
--- /dev/null
+++ b/system/fsv/fsv.rst
@@ -0,0 +1,60 @@
+.. RST source for fsv(1) man page. Convert with:
+.. rst2man.py fsv.rst > fsv.1
+.. rst2man.py comes from the SBo development/docutils package.
+
+.. |version| replace:: 0.9_1
+.. |date| date::
+
+===
+fsv
+===
+
+------------------------
+3D filesystem visualizer
+------------------------
+
+:Manual section: 1
+:Manual group: SlackBuilds.org
+:Date: |date|
+:Version: |version|
+
+SYNOPSIS
+========
+
+fsv [*rootdir*] [*-options*]
+
+DESCRIPTION
+===========
+
+fsv (pronounced eff-ess-vee) is a file system visualizer in cyberspace. It
+lays out files and directories in three dimensions, geometrically
+representing the file system hierarchy to allow visual overview and
+analysis. fsv can visualize a modest home directory, a workstation's
+hard drive, or any arbitrarily large collection of files, limited only
+by the host computer's memory and graphics hardware.
+
+fsv is a clone of SGI's fsn, which was featured in the movie Jurassic Park.
+
+Full documentation is available via the Help -> Contents menu option, or
+at file:///usr/doc/fsv-|version|/html/fsv.html
+
+OPTIONS
+=======
+
+**rootdir** Root directory for visualization (defaults to current directory)
+
+--mapv Start in MapV mode (default)
+
+--treev Start in TreeV mode
+
+--help Print built-in help and exit
+
+AUTHORS
+=======
+
+fsv originally written by Daniel Richard G. <skunk@mit.edu>.
+
+fsv is now maintained by Maurus Cuelenaere: https://github.com/mcuelenaere
+
+This man page written by B. Watson for the SlackBuilds.org project and
+released under the WTFPL.
diff --git a/system/fsv/slack-desc b/system/fsv/slack-desc
new file mode 100644
index 0000000000..bf9db9a020
--- /dev/null
+++ b/system/fsv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fsv: fsv (3D file system viewer, Jurassic Park style)
+fsv:
+fsv: fsv (pronounced eff-ess-vee) is a file system visualizer in
+fsv: cyberspace. It lays out files and directories in three dimensions,
+fsv: geometrically representing the file system hierarchy to allow visual
+fsv: overview and analysis. fsv can visualize a modest home directory, a
+fsv: workstation's hard drive, or any arbitrarily large collection of
+fsv: files limited only by the host computer's memory and graphics
+fsv: hardware.
+fsv:
+fsv: